将python写的应用部署到SAE上遇到的错误

图片描述

如图。无法找到flask.ext.admin。。。但是我已经将flask_admin打包上传
代码如下
图片描述
这是项目文件的结构
图片描述
sae上的代码文件结构图
图片描述

更新:问题已经解决
原因是SAE上的Flask版本太旧。。。需要将新版的Flask,和Flask-sqlalchemy打包上传,同时Flask-admin却不能用最新版本(1.1.0),用这个版本会出现找不到某些包的错误。。我用的1.0.3就可以正常运行了。。

回复
阅读 3.9k
1 个回答

运行下面的命令看看flask是否成功导入了

import flask as f
print f.__file__

如果成功导入 说明flask没问题 可能是你ext.admin里有些依赖包没打包进去

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏